# For debugging:
#GDB_FLAG    = -g
#MORE_DEBUG_FLAGS    = -fno-for-scope

# For compilation warning message:
WARNING_FLAGS  = -ansi 
#MORE_WARNING_FLAGS  = -Wall -pedantic -Wtraditional -Wmissing-prototypes -Wmissing-declarations

# For optimizing
OPTIM_FLAGS_FOR_C++ = -O3

# For debug info print out
#DEBUG_PRINT_FLAG = -DDEBUG

# For different input file convention
COND_INDEX_OFFSET_1 = -DCOND_INDEX_OFFSET_1

# Skip generation of a temp variable in constructing an object
CONSTRUCTOR = -felide-constructors

# For profiling
#GPROF_FLAG = -pg

# For pfft.h debug info 
#PFFT_RUN_TIME = -DTIME
#PFFT_PROGRESS = -DDEBUG_PROGRESS
#DEBUG_ELEMENT = -DDEBUG_ELEMENT
#DEBUG_GRID = -DDEBUG_GRID
#MEMORY_REPORT = -DMEMORY_REPORT
#PRINT_GMRES_RESID = -DPRINT_GMRES_RESID

LD_ROOT         = /usr/bin
SHELL		= /bin/sh
RM		= /bin/rm -f
RMR             = /bin/rm -rf
SED        	= /bin/sed
MV	        = /bin/mv
RANLIB          = /usr/bin/ranlib
AR              = ar
LD              = $(LD_ROOT)/ld
CC              = gcc
C++		= g++

ROOT = ../..
INC_DIR = $(ROOT)/inc
LIB_DIR = $(ROOT)/lib
BIN_DIR = $(ROOT)/bin
UTIL_DIR = $(ROOT)/util
DEF_MAKEFILE = $(ROOT)/def.makefile

PFFT_ROOT =  ../../../pfft++
PFFT_INC_DIR    = $(PFFT_ROOT)/inc
PFFT_SRC_DIR    = $(PFFT_ROOT)/src/pfft
PFFT_LIB_DIR    = $(PFFT_ROOT)/lib

SUPER_LU_INC_DIR    = ../SuperLU/SRC
DEF_MAKEFILE = $(ROOT)/def.makefile
