/*-*-c++-*-*/
/******************************************************************************
 **                                                                          **
 ** Copyright (c) 2000 Massachusetts Institute of Technology, Cambridge, MA. **
 ** All rights reserved.                                                     **
 **                                                                          **
 ******************************************************************************
  ==========================================================================
  ============================= File Info ==================================

  Author: Zhenhai Zhu
  
  Description:

  This is a simple interface between pfft++ and gmres. 

  Essentially, what is missing between pfft++ and gmres are the innerOperator and 
  the outer operator. These have to be provided by the user of pfft++ and they are
  dependent upon what formulation the user is using.

  Resources:

  See also:

  const static char cvsid[] = "$Id$";

  ==========================================================================
*/

#ifndef _FASTMV_H_
#define _FASTMV_H_

template <class PfftType>
class FastMV {

public:
  FastMV(PfftType& pfft) : pfft_(pfft) {}

  template <class VecA, class VecB> void matMultVec (VecA& ans, const VecB& x) {
    pfft_.IEoperator(ans, pfft::NONE, pfft::NONE, x);
  }

private:
  PfftType& pfft_;
};

#endif






