/*-*-c-*-*/
/******************************************************************************
 **                                                                          **
 ** Copyright (c) 2000 Massachusetts Institute of Technology, Cambridge, MA. **
 ** All rights reserved.                                                     **
 **                                                                          **
 ******************************************************************************
  ==========================================================================
  ============================= File Info ==================================

  Author: Ben Song 
  
  Description:

  Resources:

  See also:

  ==========================================================================
*/

#ifndef __SURF_MAIN_H_
#define __SURF_MAIN_H_

#include <unistd.h>
#include <getopt.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include <vector>
#include <string>
#include <stdexcept>
#include <iomanip>

#include "element.h"
#include "oneOverR.h" 
#include "staticCollocation.h"
#include "gmres.h"
#include "pfft.h"
#include "fastMV.h"
#include "precond.h"

typedef enum {
  INPUT_FILE_NAME            = 'i',
  HELP                       = 'h'
} cmdLineOptions;

/*********************************/
void
cmdLineParsor (
	       int argc,
	       char *argv[]);

void
printUsage (
	    void);

void compCap (
	      const size_t numCond,
	      std::vector<pfft::element>& srcElementList,
	      TNT::Matrix<double>& capMatrix);

void 
setRHS (
	TNT::Vector<double>& RHS,
	const size_t sCondIndex,
	const std::vector<pfft::element>& evalElementList);
  
void 
getOneColumnOfCapMatrix(
			TNT::Matrix<double>& capMatrix,
			const size_t sCondIndex,
			const TNT::Vector<double>& solution,
			const std::vector<pfft::element>& srcElementList);

void 
resultsReport (
	       const TNT::Matrix<double>& capMat,
	       const std::string& title);

#endif

