#
# These statements are included in several of the 
# makefiles in the src/* directories. 
#

COMPILER = $(CC)

ARCH	:= $(shell $(UTIL_DIR)/config.guess)

all:: $(ARCH) $(ARCH)/$(MODULE).o $(DEPEND_FILE)

$(ARCH)/$(MODULE).o: $(OBJS:%=$(ARCH)/%)
	$(RM) $(ARCH)/$(MODULE).o; \
	$(LD) -r $(OBJS:%=$(ARCH)/%) -o $@

$(ARCH)/%.o: %.c
	$(COMPILER) $(CFLAG) $(IFLAG) $< -o $@

$(ARCH): 
	if [ ! -d $(ARCH) ]; then\
	(mkdir $(ARCH); sleep 1;)\
	fi

etags:
	etags *.c *.h;

DEPEND_FILE = m.depends
$(DEPEND_FILE):
	$(COMPILER) -MM $(IFLAG) $(OBJS:%.o=%.c) > $(DEPEND_FILE)
	$(SED) -e "s,\(.*\.o\),$(ARCH:%=%/\1)," $(DEPEND_FILE) > $(DEPEND_FILE).foo
	$(MV) $(DEPEND_FILE).foo $(DEPEND_FILE)

depend: $(DEPEND_FILE)









