#
# These statements are included in several of the 
# makefiles in the src/* directories. 
#
CFLAG = -c $(GPROF_FLAG) $(GDB_FLAG) $(OPTIM_FLAGS_FOR_C++) $(CONSTRUCTOR) \
	   $(WARNING_FLAGS) $(MORE_WARNING_FLAGS) \
           $(DEBUG_FLAG) $(PRINT_GMRES_RESID) \
	   $(PFFT_RUN_TIME) $(PFFT_PROGRESS) \
	   $(DEBUG_ELEMENT) $(DEBUG_GRID) $(MEMORY_REPORT) \
           $(COND_INDEX_OFFSET_1)
 
IFLAG = -I. -I$(INC_DIR) -I$(PFFT_INC_DIR) -I$(SUPER_LU_INC_DIR)

COMPILER = $(C++)
ARCH	:= $(shell $(UTIL_DIR)/config.guess)

all: $(ARCH) $(ARCH)/$(MODULE).o $(DEPEND_FILE)

$(ARCH)/$(MODULE).o: $(OBJS:%=$(ARCH)/%)
	$(RM) $(ARCH)/$(MODULE).o; \
	$(LD) -r $(OBJS:%=$(ARCH)/%) -o $@

$(ARCH)/%.o: %.cc $(DEF_MAKEFILE)
	$(COMPILER) $(CFLAG) $(IFLAG) $< -o $@

$(ARCH): 
	if [ ! -d $(ARCH) ]; then\
	(mkdir $(ARCH); sleep 1;)\
	fi

etags:
	etags *.cc *.h;

DEPEND_FILE = m.depends

$(DEPEND_FILE):
		$(COMPILER) -MM $(IFLAG) $(OBJS:%.o=%.cc) > $(DEPEND_FILE)
		$(SED) -e "s,\(.*\.o\),$(ARCH:%=%/\1)," $(DEPEND_FILE) > $(DEPEND_FILE).foo
		$(MV) $(DEPEND_FILE).foo $(DEPEND_FILE)

depend: $(DEPEND_FILE)

clean:
	-$(RM) $(BIN_DIR)/core; 
	-$(RM) $(LIB_DIR)/$(MODULE).a
	-$(RMR) $(ARCH);
	-$(RM) *~ ; 
	-$(RM) $(DEPEND_FILE); \

minorclean:
	-$(RM) *~;

-include $(DEPEND_FILE)






